# Generated by Django 3.2.6 on 2023-06-15 12:58

import django.contrib.gis.db.models.fields
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('documents', '0003_auto_20171115_0936'),
        ('smartwater', '0012_auto_20230609_1248'),
    ]

    operations = [
        migrations.AlterField(
            model_name='observation',
            name='observed_point',
            field=django.contrib.gis.db.models.fields.PointField(srid=31370),
        ),
        migrations.CreateModel(
            name='SoundAnnotation',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('annotation', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, related_name='track', to='smartwater.annotation')),
                ('track', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='documents.document')),
            ],
            options={
                'abstract': False,
            },
        ),
    ]
